Bug 1693030 (python-hdmf) - Review Request: python-hdmf - The Hierarchical Data Modeling Framework
Summary: Review Request: python-hdmf - The Hierarchical Data Modeling Framework
Keywords:
Status: CLOSED ERRATA
Alias: python-hdmf
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-03-27 00:49 UTC by Luis Bazan
Modified: 2019-04-05 05:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-01 00:01:15 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Luis Bazan 2019-03-27 00:49:57 UTC
SPEC: https://lbazan.fedorapeople.org/python-hdmf.spec
SRPM: https://lbazan.fedorapeople.org/python-hdmf-1.0.1-1.fc29.src.rpm

Description:
The Hierarchical Data Modeling Framework

FAS: lbazan

koji build --scratch rawhide python-hdmf-1.0.1-1.fc29.src.rpm 
Uploading srpm: python-hdmf-1.0.1-1.fc29.src.rpm
[====================================] 100% 00:00:31  14.01 MiB 449.17 KiB/sec
Created task: 33784871
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=33784871
Watching tasks (this may be safely interrupted)...
33784871 build (rawhide, python-hdmf-1.0.1-1.fc29.src.rpm): open (buildvm-aarch64-09.arm.fedoraproject.org)
  33784872 buildArch (python-hdmf-1.0.1-1.fc29.src.rpm, noarch): open (buildvm-25.phx2.fedoraproject.org)
  33784872 buildArch (python-hdmf-1.0.1-1.fc29.src.rpm, noarch): open (buildvm-25.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
33784871 build (rawhide, python-hdmf-1.0.1-1.fc29.src.rpm): open (buildvm-aarch64-09.arm.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

33784871 build (rawhide, python-hdmf-1.0.1-1.fc29.src.rpm) completed successfully

Comment 1 Ankur Sinha (FranciscoD) 2019-03-27 09:27:50 UTC
On it now!

Comment 2 Ankur Sinha (FranciscoD) 2019-03-27 10:37:33 UTC
Looks pretty good.

Not a blocker: are we not generating docs for this one? We're using the github
tar that includes the docs so it'll be nice to have them. What do you think?
Otherwise, please at least add a link to the online documentation in the
description.

XXX APPROVED XXX

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "*No copyright* BSD (unspecified)". 108 files have unknown
     license. Detailed output of licensecheck in /home/asinha/dump/fedora-
     reviews/1693030-python-hdmf/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-hdmf-1.0.1-1.fc31.noarch.rpm
          python-hdmf-1.0.1-1.fc31.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory

python3-hdmf.noarch: W: invalid-url URL: https://github.com/hdmf-dev/hdmf <urlopen error [Errno -2] Name or service not known>
^ False positive.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Source checksums
----------------
https://github.com/hdmf-dev/hdmf/archive/1.0.1/hdmf-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 9ce4f0532895a4e62ce3fda63d73bb116c36106694d60a479ecd5e566f7d14ff
  CHECKSUM(SHA256) upstream package : 9ce4f0532895a4e62ce3fda63d73bb116c36106694d60a479ecd5e566f7d14ff


Requires
--------
python3-hdmf (rpmlib, GLIBC filtered):
    python(abi)
    python3.7dist(h5py)
    python3.7dist(numpy)
    python3.7dist(pandas)
    python3.7dist(python-dateutil)
    python3.7dist(requests)
    python3.7dist(ruamel.yaml)
    python3.7dist(six)



Provides
--------
python3-hdmf:
    python3-hdmf
    python3.7dist(hdmf)
    python3dist(hdmf)



Generated by fedora-review 0.7.0 (dfc9dd8) last change: 2019-03-17
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1693030
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: R, C/C++, SugarActivity, Java, Haskell, fonts, Perl, PHP, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Gwyn Ciesla 2019-03-27 14:31:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-hdmf

Comment 4 Fedora Update System 2019-03-27 16:47:05 UTC
python-hdmf-1.0.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3e76cec147

Comment 5 Fedora Update System 2019-03-27 16:47:15 UTC
python-hdmf-1.0.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-163c7ac1e1

Comment 6 Fedora Update System 2019-03-27 18:18:39 UTC
python-hdmf-1.0.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3e76cec147

Comment 7 Fedora Update System 2019-03-27 20:02:07 UTC
python-hdmf-1.0.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-163c7ac1e1

Comment 8 Fedora Update System 2019-04-01 00:01:15 UTC
python-hdmf-1.0.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-05 05:10:08 UTC
python-hdmf-1.0.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.